diff --git a/tests/workflow/test_all.py b/tests/workflow/test_all.py
index c1e3bdfaa..c60503ed5 100644
--- a/tests/workflow/test_all.py
+++ b/tests/workflow/test_all.py
@@ -92,8 +92,9 @@ def teardown_module(module):
     clean_temporary_pub()
 
 
-def pub_fixture(**kwargs):
-    pub = create_temporary_pub(**kwargs)
+@pytest.fixture
+def pub():
+    pub = create_temporary_pub()
     pub.cfg['language'] = {'language': 'en'}
     pub.cfg['identification'] = {'methods': ['password']}
     pub.write_cfg()
@@ -106,21 +107,6 @@ def pub_fixture(**kwargs):
     return pub
 
 
-@pytest.fixture
-def pub(request):
-    return pub_fixture()
-
-
-@pytest.fixture
-def two_pubs(request):
-    return pub_fixture(sql_mode=True)
-
-
-@pytest.fixture
-def sql_pub(request):
-    return pub_fixture(sql_mode=True)
-
-
 @pytest.fixture
 def admin_user():
     get_publisher().user_class.wipe()
@@ -372,31 +358,31 @@ def test_jump_count_condition(pub):
     assert item.check_condition(formdata) is False
 
 
-def test_jump_bad_python_condition(two_pubs):
+def test_jump_bad_python_condition(pub):
     FormDef.wipe()
     formdef = FormDef()
     formdef.name = 'foobar'
     formdef.store()
-    two_pubs.substitutions.feed(formdef)
+    pub.substitutions.feed(formdef)
     formdef.data_class().wipe()
     formdata = formdef.data_class()()
     item = JumpWorkflowStatusItem()
 
     item.condition = {'type': 'python', 'value': 'form_var_foobar == 0'}
     assert item.check_condition(formdata) is False
-    assert two_pubs.loggederror_class.count() == 1
-    logged_error = two_pubs.loggederror_class.select()[0]
+    assert pub.loggederror_class.count() == 1
+    logged_error = pub.loggederror_class.select()[0]
     assert logged_error.summary == 'Failed to evaluate condition'
     assert logged_error.exception_class == 'NameError'
     assert logged_error.exception_message == "name 'form_var_foobar' is not defined"
     assert logged_error.expression == 'form_var_foobar == 0'
     assert logged_error.expression_type == 'python'
 
-    two_pubs.loggederror_class.wipe()
+    pub.loggederror_class.wipe()
     item.condition = {'type': 'python', 'value': '~ invalid ~'}
     assert item.check_condition(formdata) is False
-    assert two_pubs.loggederror_class.count() == 1
-    logged_error = two_pubs.loggederror_class.select()[0]
+    assert pub.loggederror_class.count() == 1
+    logged_error = pub.loggederror_class.select()[0]
     assert logged_error.summary == 'Failed to evaluate condition'
     assert logged_error.exception_class == 'SyntaxError'
     assert logged_error.exception_message == 'unexpected EOF while parsing (<string>, line 1)'
@@ -404,7 +390,7 @@ def test_jump_bad_python_condition(two_pubs):
     assert logged_error.expression_type == 'python'
 
 
-def test_jump_django_conditions(two_pubs):
+def test_jump_django_conditions(pub):
     FormDef.wipe()
     formdef = FormDef()
     formdef.name = 'foobar'
@@ -414,7 +400,7 @@ def test_jump_django_conditions(two_pubs):
     formdef.store()
     formdata = formdef.data_class()()
     formdata.data = {'1': 'hello'}
-    two_pubs.substitutions.feed(formdata)
+    pub.substitutions.feed(formdata)
     item = JumpWorkflowStatusItem()
 
     item.condition = {'type': 'django', 'value': '1 < 2'}
@@ -429,12 +415,12 @@ def test_jump_django_conditions(two_pubs):
     item.condition = {'type': 'django', 'value': 'form_var_foo|first|upper == "X"'}
     assert item.check_condition(formdata) is False
 
-    assert two_pubs.loggederror_class.count() == 0
+    assert pub.loggederror_class.count() == 0
 
     item.condition = {'type': 'django', 'value': '~ invalid ~'}
     assert item.check_condition(formdata) is False
-    assert two_pubs.loggederror_class.count() == 1
-    logged_error = two_pubs.loggederror_class.select()[0]
+    assert pub.loggederror_class.count() == 1
+    logged_error = pub.loggederror_class.select()[0]
     assert logged_error.summary == 'Failed to evaluate condition'
     assert logged_error.exception_class == 'TemplateSyntaxError'
     assert logged_error.exception_message == "Could not parse the remainder: '~' from '~'"
@@ -573,7 +559,7 @@ def test_dispatch_multi(pub):
     assert formdata.workflow_roles == {'_receiver': [role.id]}
 
 
-def test_dispatch_auto(two_pubs):
+def test_dispatch_auto(pub):
     formdef = FormDef()
     formdef.name = 'baz'
     formdef.fields = [
@@ -586,15 +572,15 @@ def test_dispatch_auto(two_pubs):
     item.dispatch_type = 'automatic'
 
     formdata = formdef.data_class()()
-    two_pubs.substitutions.reset()
-    two_pubs.substitutions.feed(formdata)
+    pub.substitutions.reset()
+    pub.substitutions.feed(formdata)
     item.perform(formdata)
     assert not formdata.workflow_roles
 
-    two_pubs.role_class.wipe()
-    role1 = two_pubs.role_class('xxx1')
+    pub.role_class.wipe()
+    role1 = pub.role_class('xxx1')
     role1.store()
-    role2 = two_pubs.role_class('xxx2')
+    role2 = pub.role_class('xxx2')
     role2.store()
 
     for variable in ('form_var_foo', '{{form_var_foo}}'):
@@ -607,36 +593,36 @@ def test_dispatch_auto(two_pubs):
             {'role_id': role1.id, 'value': '42'},
         ]
 
-        two_pubs.substitutions.reset()
-        two_pubs.substitutions.feed(formdata)
+        pub.substitutions.reset()
+        pub.substitutions.feed(formdata)
         item.perform(formdata)
         assert not formdata.workflow_roles
 
         # no match
         formdata.data = {'1': 'XXX'}
-        two_pubs.substitutions.reset()
-        two_pubs.substitutions.feed(formdata)
+        pub.substitutions.reset()
+        pub.substitutions.feed(formdata)
         item.perform(formdata)
         assert not formdata.workflow_roles
 
         # match
         formdata.data = {'1': 'foo'}
-        two_pubs.substitutions.reset()
-        two_pubs.substitutions.feed(formdata)
+        pub.substitutions.reset()
+        pub.substitutions.feed(formdata)
         item.perform(formdata)
         assert formdata.workflow_roles == {'_receiver': [role1.id]}
 
         # other match
         formdata.data = {'1': 'bar'}
-        two_pubs.substitutions.reset()
-        two_pubs.substitutions.feed(formdata)
+        pub.substitutions.reset()
+        pub.substitutions.feed(formdata)
         item.perform(formdata)
         assert formdata.workflow_roles == {'_receiver': [role2.id]}
 
         # integer match
-        two_pubs.substitutions.reset()
+        pub.substitutions.reset()
         # cannot store an integer in formdata.data, we mock substitutions:
-        two_pubs.substitutions.feed({'form_var_foo': 42})
+        pub.substitutions.feed({'form_var_foo': 42})
         item.perform(formdata)
         assert formdata.workflow_roles == {'_receiver': [role1.id]}
 
@@ -647,12 +633,12 @@ def test_dispatch_auto(two_pubs):
     item.rules = [
         {'role_id': 'foobar', 'value': 'foo'},
     ]
-    two_pubs.substitutions.reset()
-    two_pubs.substitutions.feed(formdata)
+    pub.substitutions.reset()
+    pub.substitutions.feed(formdata)
     item.perform(formdata)
     assert not formdata.workflow_roles
-    assert two_pubs.loggederror_class.count() == 1
-    error = two_pubs.loggederror_class.select()[0]
+    assert pub.loggederror_class.count() == 1
+    error = pub.loggederror_class.select()[0]
     assert error.tech_id == '%s-_default-error-in-dispatch-missing-role-foobar' % formdef.id
     assert error.formdef_id == formdef.id
     assert error.workflow_id == '_default'
@@ -660,13 +646,13 @@ def test_dispatch_auto(two_pubs):
     assert error.occurences_count == 1
 
 
-def test_dispatch_computed(two_pubs):
+def test_dispatch_computed(pub):
     formdef = FormDef()
     formdef.name = 'baz'
     formdef.store()
 
-    two_pubs.role_class.wipe()
-    role = two_pubs.role_class(name='xxx')
+    pub.role_class.wipe()
+    role = pub.role_class(name='xxx')
     role.slug = 'yyy'
     role.store()
 
@@ -707,8 +693,8 @@ def test_dispatch_computed(two_pubs):
     item.role_id = '="foobar"'
     item.perform(formdata)
     assert not formdata.workflow_roles
-    assert two_pubs.loggederror_class.count() == 1
-    error = two_pubs.loggederror_class.select()[0]
+    assert pub.loggederror_class.count() == 1
+    error = pub.loggederror_class.select()[0]
     assert error.tech_id == '%s-_default-error-in-dispatch-missing-role-foobar' % formdef.id
     assert error.formdef_id == formdef.id
     assert error.workflow_id == '_default'
@@ -716,14 +702,14 @@ def test_dispatch_computed(two_pubs):
     assert error.occurences_count == 1
 
     # unknown role, with template
-    two_pubs.loggederror_class.wipe()
+    pub.loggederror_class.wipe()
     formdata = formdef.data_class()()
     item.role_key = '_receiver'
     item.role_id = '{{ "foobar" }}'
     item.perform(formdata)
     assert not formdata.workflow_roles
-    assert two_pubs.loggederror_class.count() == 1
-    error = two_pubs.loggederror_class.select()[0]
+    assert pub.loggederror_class.count() == 1
+    error = pub.loggederror_class.select()[0]
     assert (
         error.tech_id == '%s-_default-error-in-dispatch-missing-role-foobar-from-foobar-template' % formdef.id
     )
@@ -780,8 +766,7 @@ def test_dispatch_user(pub):
     assert formdata.workflow_roles == {}
 
 
-def test_roles(two_pubs):
-    pub = two_pubs
+def test_roles(pub):
     pub.role_class.wipe()
     role = pub.role_class(name='xxx')
     role.store()
@@ -974,7 +959,7 @@ def test_roles_idp(pub):
         assert pub.user_class.get(user.id).roles == []
 
 
-def test_anonymise(two_pubs):
+def test_anonymise(pub):
     # build a backoffice field
     Workflow.wipe()
     wf = Workflow(name='wf with backoffice field')
@@ -1028,7 +1013,7 @@ def test_anonymise(two_pubs):
     assert formdef.data_class().get(formdata.id).evolution[0].who is None
 
 
-def test_remove(two_pubs):
+def test_remove(pub):
     formdef = FormDef()
     formdef.name = 'baz'
     formdef.store()
@@ -1048,7 +1033,7 @@ def test_remove(two_pubs):
     formdata.store()
 
     item = RemoveWorkflowStatusItem()
-    req = two_pubs.get_request()
+    req = pub.get_request()
     req.response.filter['in_backoffice'] = True
     assert formdef.data_class().count() == 1
     with pytest.raises(AbortActionException) as e:
@@ -1059,7 +1044,7 @@ def test_remove(two_pubs):
     assert req.session.message
 
 
-def test_stop_on_remove(two_pubs, emails):
+def test_stop_on_remove(pub, emails):
     workflow = Workflow(name='stop-on-remove')
     st1 = workflow.add_status('Status1', 'st1')
 
@@ -1077,7 +1062,7 @@ def test_stop_on_remove(two_pubs, emails):
     workflow.store()
 
     formdef = FormDef()
-    formdef.name = 'baz%s' % id(two_pubs)
+    formdef.name = 'baz%s' % id(pub)
     formdef.fields = []
     formdef.workflow_id = workflow.id
     assert formdef.get_workflow().id == workflow.id
@@ -1227,8 +1212,8 @@ def test_register_comment_django_escaping(pub, emails):
     assert formdata.evolution[-1].display_parts()[-1] == '<div><p>hello</p></div>'
 
 
-def test_register_comment_attachment(two_pubs):
-    two_pubs.substitutions.feed(MockSubstitutionVariables())
+def test_register_comment_attachment(pub):
+    pub.substitutions.feed(MockSubstitutionVariables())
 
     formdef = FormDef()
     formdef.name = 'baz'
@@ -1258,20 +1243,20 @@ def test_register_comment_attachment(two_pubs):
 
     item.comment = '{{ attachments.testfile.url }}'
 
-    two_pubs.substitutions.feed(formdata)
+    pub.substitutions.feed(formdata)
     item.perform(formdata)
     url1 = formdata.evolution[-1].parts[-1].content
-    assert two_pubs.loggederror_class.count() == 1
-    error = two_pubs.loggederror_class.select()[0]
+    assert pub.loggederror_class.count() == 1
+    error = pub.loggederror_class.select()[0]
     assert error.kind == 'deprecated_usage'
     assert error.occurences_count == 1
 
-    two_pubs.substitutions.feed(formdata)
+    pub.substitutions.feed(formdata)
     item.comment = '{{ form_attachments.testfile.url }}'
     item.perform(formdata)
     url2 = formdata.evolution[-1].parts[-1].content
-    assert two_pubs.loggederror_class.count() == 1
-    error = two_pubs.loggederror_class.select()[0]
+    assert pub.loggederror_class.count() == 1
+    error = pub.loggederror_class.select()[0]
     assert error.kind == 'deprecated_usage'
     assert error.occurences_count == 1
 
@@ -1296,21 +1281,21 @@ def test_register_comment_attachment(two_pubs):
     item.condition = {'type': 'django', 'value': 'form_attachments.missing'}
     assert item.check_condition(formdata) is False
 
-    two_pubs.substitutions.feed(formdata)
+    pub.substitutions.feed(formdata)
     item.comment = '[attachments.testfile.url]'
     item.perform(formdata)
     url3 = formdata.evolution[-1].parts[-1].content
-    assert two_pubs.loggederror_class.count() == 1
-    error = two_pubs.loggederror_class.select()[0]
+    assert pub.loggederror_class.count() == 1
+    error = pub.loggederror_class.select()[0]
     assert error.kind == 'deprecated_usage'
     assert error.occurences_count == 2
-    two_pubs.substitutions.feed(formdata)
+    pub.substitutions.feed(formdata)
     item.comment = '[form_attachments.testfile.url]'
     item.perform(formdata)
     url4 = formdata.evolution[-1].parts[-1].content
     assert url3 == url4
-    assert two_pubs.loggederror_class.count() == 1
-    error = two_pubs.loggederror_class.select()[0]
+    assert pub.loggederror_class.count() == 1
+    error = pub.loggederror_class.select()[0]
     assert error.kind == 'deprecated_usage'
     assert error.occurences_count == 2
 
@@ -1596,8 +1581,7 @@ def test_register_comment_to_with_attachment(pub):
     assert 'to-role-or-submitter.txt' in display_parts()[6]
 
 
-def test_webservice_call(http_requests, two_pubs):
-    pub = two_pubs
+def test_webservice_call(http_requests, pub):
     pub.substitutions.feed(MockSubstitutionVariables())
 
     wf = Workflow(name='wf1')
@@ -2402,7 +2386,7 @@ def rewind(formdata, seconds):
     formdata.evolution[-1].time = rewind_time(formdata.evolution[-1].time)
 
 
-def test_timeout(two_pubs):
+def test_timeout(pub):
     workflow = Workflow(name='timeout')
     st1 = workflow.add_status('Status1', 'st1')
     workflow.add_status('Status2', 'st2')
@@ -2427,7 +2411,7 @@ def test_timeout(two_pubs):
     formdata.store()
     formdata_id = formdata.id
 
-    _apply_timeouts(two_pubs)
+    _apply_timeouts(pub)
 
     assert formdef.data_class().get(formdata_id).status == 'wf-st2'
 
@@ -2437,7 +2421,7 @@ def test_timeout(two_pubs):
     formdata_id = formdata.id
     with mock.patch('wcs.wf.jump.JumpWorkflowStatusItem.check_condition') as must_jump:
         must_jump.return_value = False
-        _apply_timeouts(two_pubs)
+        _apply_timeouts(pub)
         assert must_jump.call_count == 0  # not enough time has passed
 
         # check a lower than minimal delay is not considered
@@ -2445,29 +2429,29 @@ def test_timeout(two_pubs):
         workflow.store()
         rewind(formdata, seconds=10 * 60)
         formdata.store()
-        _apply_timeouts(two_pubs)
+        _apply_timeouts(pub)
         assert must_jump.call_count == 0
 
         # but is executed once delay is reached
         rewind(formdata, seconds=10 * 60)
         formdata.store()
-        _apply_timeouts(two_pubs)
+        _apply_timeouts(pub)
         assert must_jump.call_count == 1
 
         # check a templated timeout is considered as minimal delay for explicit evaluation
         jump.timeout = '{{ "0" }}'
         workflow.store()
-        _apply_timeouts(two_pubs)
+        _apply_timeouts(pub)
         assert must_jump.call_count == 2
 
     # check there's no crash on workflow without jumps
     formdef = FormDef()
     formdef.name = 'xxx'
     formdef.store()
-    _apply_timeouts(two_pubs)
+    _apply_timeouts(pub)
 
 
-def test_timeout_with_humantime_template(two_pubs):
+def test_timeout_with_humantime_template(pub):
     workflow = Workflow(name='timeout')
     st1 = workflow.add_status('Status1', 'st1')
     workflow.add_status('Status2', 'st2')
@@ -2491,12 +2475,12 @@ def test_timeout_with_humantime_template(two_pubs):
     formdata.store()
     formdata_id = formdata.id
 
-    _apply_timeouts(two_pubs)
+    _apply_timeouts(pub)
     assert formdef.data_class().get(formdata_id).status == 'wf-st1'  # no change
 
     rewind(formdata, seconds=40 * 60)
     formdata.store()
-    _apply_timeouts(two_pubs)
+    _apply_timeouts(pub)
     assert formdef.data_class().get(formdata_id).status == 'wf-st2'
 
     # invalid timeout value
@@ -2509,15 +2493,15 @@ def test_timeout_with_humantime_template(two_pubs):
     formdata.store()
     formdata_id = formdata.id
 
-    two_pubs.loggederror_class.wipe()
+    pub.loggederror_class.wipe()
 
     rewind(formdata, seconds=40 * 60)
     formdata.store()
-    _apply_timeouts(two_pubs)
+    _apply_timeouts(pub)
     assert formdef.data_class().get(formdata_id).status == 'wf-st1'  # no change
 
-    assert two_pubs.loggederror_class.count() == 1
-    logged_error = two_pubs.loggederror_class.select()[0]
+    assert pub.loggederror_class.count() == 1
+    logged_error = pub.loggederror_class.select()[0]
     assert logged_error.summary == "Error in timeout value '30 plop' (computed from '{{ 30 }} plop')"
 
     # template timeout value returning nothing
@@ -2530,15 +2514,15 @@ def test_timeout_with_humantime_template(two_pubs):
     formdata.store()
     formdata_id = formdata.id
 
-    two_pubs.loggederror_class.wipe()
+    pub.loggederror_class.wipe()
 
     rewind(formdata, seconds=40 * 60)
     formdata.store()
-    _apply_timeouts(two_pubs)
+    _apply_timeouts(pub)
     assert formdef.data_class().get(formdata_id).status == 'wf-st1'  # no change
 
-    assert two_pubs.loggederror_class.count() == 1
-    logged_error = two_pubs.loggederror_class.select()[0]
+    assert pub.loggederror_class.count() == 1
+    logged_error = pub.loggederror_class.select()[0]
     assert logged_error.summary == "Error in timeout value '' (computed from '{% if 1 %}{% endif %}')"
 
 
@@ -2571,7 +2555,7 @@ def test_legacy_timeout(pub):
     assert formdef.data_class().get(formdata_id).status == 'wf-st2'
 
 
-def test_timeout_then_remove(two_pubs):
+def test_timeout_then_remove(pub):
     workflow = Workflow(name='timeout-then-remove')
     st1 = workflow.add_status('Status1', 'st1')
     st2 = workflow.add_status('Status2', 'st2')
@@ -2586,7 +2570,7 @@ def test_timeout_then_remove(two_pubs):
     workflow.store()
 
     formdef = FormDef()
-    formdef.name = 'baz%s' % id(two_pubs)
+    formdef.name = 'baz%s' % id(pub)
     formdef.fields = []
     formdef.workflow_id = workflow.id
     assert formdef.get_workflow().id == workflow.id
@@ -2600,12 +2584,12 @@ def test_timeout_then_remove(two_pubs):
 
     assert str(formdata_id) in [str(x) for x in formdef.data_class().keys()]
 
-    _apply_timeouts(two_pubs)
+    _apply_timeouts(pub)
 
     assert not str(formdata_id) in [str(x) for x in formdef.data_class().keys()]
 
 
-def test_timeout_with_mark(two_pubs):
+def test_timeout_with_mark(pub):
     workflow = Workflow(name='timeout')
     st1 = workflow.add_status('Status1', 'st1')
     workflow.add_status('Status2', 'st2')
@@ -2631,13 +2615,13 @@ def test_timeout_with_mark(two_pubs):
     formdata.store()
     formdata_id = formdata.id
 
-    _apply_timeouts(two_pubs)
+    _apply_timeouts(pub)
 
     formdata = formdef.data_class().get(formdata_id)
     assert formdata.workflow_data.get('_markers_stack') == [{'status_id': 'st1'}]
 
 
-def test_jump_missing_previous_mark(two_pubs):
+def test_jump_missing_previous_mark(pub):
     FormDef.wipe()
     Workflow.wipe()
 
@@ -2662,9 +2646,9 @@ def test_jump_missing_previous_mark(two_pubs):
     rewind(formdata, seconds=40 * 60)
     formdata.store()
 
-    two_pubs.loggederror_class.wipe()
-    _apply_timeouts(two_pubs)
-    assert two_pubs.loggederror_class.count() == 1
+    pub.loggederror_class.wipe()
+    _apply_timeouts(pub)
+    assert pub.loggederror_class.count() == 1
 
 
 def test_sms(pub, sms_mocking):
@@ -2778,8 +2762,7 @@ def test_sms_many_recipients(pub, sms_mocking):
         assert sms_mocking.sms[0]['text'] == 'XXX'
 
 
-def test_sms_with_passerelle(two_pubs):
-    pub = two_pubs
+def test_sms_with_passerelle(pub):
     pub.cfg['sms'] = {
         'mode': 'passerelle',
         'passerelle_url': 'http://passerelle.example.com/send?nostop=1',
@@ -2828,7 +2811,7 @@ def test_sms_with_passerelle(two_pubs):
             assert pub.loggederror_class.select()[0].summary == 'Could not send SMS'
 
 
-def test_display_form(two_pubs):
+def test_display_form(pub):
     formdef = FormDef()
     formdef.name = 'baz'
     formdef.fields = []
@@ -2852,21 +2835,21 @@ def test_display_form(two_pubs):
     assert form.widgets[0].title == 'Test'
     assert form.widgets[1].title == 'Date'
 
-    two_pubs.get_request().environ['REQUEST_METHOD'] = 'POST'
-    two_pubs.get_request().form = {'fxxx_1': 'Foobar', 'fxxx_2': '2015-05-12', 'submit': 'submit'}
+    pub.get_request().environ['REQUEST_METHOD'] = 'POST'
+    pub.get_request().form = {'fxxx_1': 'Foobar', 'fxxx_2': '2015-05-12', 'submit': 'submit'}
     display_form.submit_form(form, formdata, None, None)
 
     assert formdata.get_substitution_variables()['xxx_var_date'] == '2015-05-12'
 
-    two_pubs.cfg['language'] = {'language': 'fr'}
+    pub.cfg['language'] = {'language': 'fr'}
     formdata = formdef.data_class()()
     formdata.just_created()
     formdata.store()
 
     form = Form(action='#', use_tokens=False)
     display_form.fill_form(form, formdata, None)
-    two_pubs.get_request().environ['REQUEST_METHOD'] = 'POST'
-    two_pubs.get_request().form = {'fxxx_1': 'Foobar', 'fxxx_2': '12/05/2015', 'submit': 'submit'}
+    pub.get_request().environ['REQUEST_METHOD'] = 'POST'
+    pub.get_request().form = {'fxxx_1': 'Foobar', 'fxxx_2': '12/05/2015', 'submit': 'submit'}
     display_form.submit_form(form, formdata, None, None)
     assert formdata.get_substitution_variables()['xxx_var_date'] == '12/05/2015'
 
@@ -2874,7 +2857,7 @@ def test_display_form(two_pubs):
         '2015-05-12', '%Y-%m-%d'
     )
 
-    two_pubs.cfg['language'] = {'language': 'en'}
+    pub.cfg['language'] = {'language': 'en'}
 
 
 def test_display_form_and_comment(pub):
@@ -3292,7 +3275,7 @@ def test_criticality(pub):
     assert formdata.get_criticality_level_object().name == 'green'
 
 
-def test_geolocate_action_enable_geolocation(two_pubs):
+def test_geolocate_action_enable_geolocation(pub):
     # switch to a workflow with geolocation
     formdef = FormDef()
     formdef.name = 'foo'
@@ -3342,7 +3325,7 @@ def test_geolocate_action_enable_geolocation(two_pubs):
     cur.close()
 
 
-def test_geolocate_address(two_pubs):
+def test_geolocate_address(pub):
     formdef = FormDef()
     formdef.geolocations = {'base': 'bla'}
     formdef.name = 'baz'
@@ -3355,7 +3338,7 @@ def test_geolocate_address(two_pubs):
     formdata.data = {'1': '169 rue du chateau'}
     formdata.just_created()
     formdata.store()
-    two_pubs.substitutions.feed(formdata)
+    pub.substitutions.feed(formdata)
 
     item = GeolocateWorkflowStatusItem()
     item.method = 'address_string'
@@ -3374,8 +3357,8 @@ def test_geolocate_address(two_pubs):
         assert int(formdata.geolocations['base']['lat']) == 48
         assert int(formdata.geolocations['base']['lon']) == 2
 
-    two_pubs.load_site_options()
-    two_pubs.site_options.set('options', 'nominatim_key', 'KEY')
+    pub.load_site_options()
+    pub.site_options.set('options', 'nominatim_key', 'KEY')
     with mock.patch('wcs.wf.geolocate.http_get_page') as http_get_page:
         http_get_page.return_value = (
             None,
@@ -3390,8 +3373,8 @@ def test_geolocate_address(two_pubs):
         assert int(formdata.geolocations['base']['lat']) == 48
         assert int(formdata.geolocations['base']['lon']) == 2
 
-    two_pubs.load_site_options()
-    two_pubs.site_options.set('options', 'geocoding_service_url', 'http://example.net/')
+    pub.load_site_options()
+    pub.site_options.set('options', 'geocoding_service_url', 'http://example.net/')
     with mock.patch('wcs.wf.geolocate.http_get_page') as http_get_page:
         http_get_page.return_value = (
             None,
@@ -3402,7 +3385,7 @@ def test_geolocate_address(two_pubs):
         item.perform(formdata)
         assert 'http://example.net/?q=' in http_get_page.call_args[0][0]
 
-    two_pubs.site_options.set('options', 'geocoding_service_url', 'http://example.net/?param=value')
+    pub.site_options.set('options', 'geocoding_service_url', 'http://example.net/?param=value')
     with mock.patch('wcs.wf.geolocate.http_get_page') as http_get_page:
         http_get_page.return_value = (
             None,
@@ -3418,8 +3401,8 @@ def test_geolocate_address(two_pubs):
     formdata.geolocations = None
     item.perform(formdata)
     assert formdata.geolocations == {}
-    assert two_pubs.loggederror_class.count() == 1
-    logged_error = two_pubs.loggederror_class.select()[0]
+    assert pub.loggederror_class.count() == 1
+    logged_error = pub.loggederror_class.select()[0]
     assert (
         logged_error.summary
         == 'error in template for address string [syntax error in ezt template: unclosed block at line 1 and column 24]'
@@ -3430,7 +3413,7 @@ def test_geolocate_address(two_pubs):
         logged_error.exception_message
         == 'syntax error in ezt template: unclosed block at line 1 and column 24'
     )
-    two_pubs.loggederror_class.wipe()
+    pub.loggederror_class.wipe()
 
     # check for None
     item.address_string = '=None'
@@ -3459,8 +3442,8 @@ def test_geolocate_address(two_pubs):
         http_get_page.side_effect = ConnectionError('some error')
         item.perform(formdata)
         assert formdata.geolocations == {}
-    assert two_pubs.loggederror_class.count() == 1
-    logged_error = two_pubs.loggederror_class.select()[0]
+    assert pub.loggederror_class.count() == 1
+    logged_error = pub.loggederror_class.select()[0]
     assert logged_error.summary == 'error calling geocoding service [some error]'
     assert logged_error.formdata_id == str(formdata.id)
     assert logged_error.exception_class == 'ConnectionError'
@@ -3516,7 +3499,7 @@ def test_geolocate_image(pub):
     assert formdata.geolocations == {}
 
 
-def test_geolocate_map(two_pubs):
+def test_geolocate_map(pub):
     formdef = FormDef()
     formdef.name = 'baz'
     formdef.geolocations = {'base': 'bla'}
@@ -3529,7 +3512,7 @@ def test_geolocate_map(two_pubs):
     formdata.data = {'2': '48.8337085;2.3233693'}
     formdata.just_created()
     formdata.store()
-    two_pubs.substitutions.feed(formdata)
+    pub.substitutions.feed(formdata)
 
     item = GeolocateWorkflowStatusItem()
     item.method = 'map_variable'
@@ -3549,8 +3532,8 @@ def test_geolocate_map(two_pubs):
     formdata.geolocations = None
     formdata.data = {'2': '48.8337085'}
     item.map_variable = '=form_var_map'
-    assert two_pubs.loggederror_class.count() == 1
-    logged_error = two_pubs.loggederror_class.select()[0]
+    assert pub.loggederror_class.count() == 1
+    logged_error = pub.loggederror_class.select()[0]
     assert logged_error.summary == 'error geolocating from map variable'
     assert logged_error.formdata_id == str(formdata.id)
     assert logged_error.exception_class == 'ValueError'
@@ -3828,8 +3811,7 @@ def test_export_to_model_django_template(pub):
     assert b'>A &lt;&gt; name<' in new_content
 
 
-def test_export_to_model_xml(two_pubs):
-    pub = two_pubs
+def test_export_to_model_xml(pub):
     LoggedError = pub.loggederror_class
     if LoggedError:
         LoggedError.wipe()
@@ -3991,8 +3973,7 @@ def test_export_to_model_form_details_section(pub, filename):
 
 
 @pytest.mark.parametrize('formdef_class', [FormDef, CardDef])
-def test_global_timeouts(two_pubs, formdef_class):
-    pub = two_pubs
+def test_global_timeouts(pub, formdef_class):
     CardDef.wipe()
     FormDef.wipe()
     Workflow.wipe()
@@ -4263,8 +4244,7 @@ def test_global_timeouts(two_pubs, formdef_class):
     formdata1.store()
 
 
-def test_global_timeouts_latest_arrival(two_pubs):
-    pub = two_pubs
+def test_global_timeouts_latest_arrival(pub):
     FormDef.wipe()
     Workflow.wipe()
 
@@ -4338,8 +4318,8 @@ def test_global_timeouts_latest_arrival(two_pubs):
     assert formdef.data_class().get(formdata1.id).get_criticality_level_object().name == 'green'
 
 
-def test_profile(two_pubs):
-    User = two_pubs.user_class
+def test_profile(pub):
+    User = pub.user_class
     user = User()
     user.store()
 
@@ -4373,7 +4353,7 @@ def test_profile(two_pubs):
 
     from wcs.admin.settings import UserFieldsFormDef
 
-    formdef = UserFieldsFormDef(two_pubs)
+    formdef = UserFieldsFormDef(pub)
     formdef.fields = [
         StringField(id='3', label='test', type='string', varname='plop'),
         DateField(id='4', label='Date', type='date', varname='bar'),
@@ -4435,7 +4415,7 @@ def test_profile(two_pubs):
                 assert http_patch_request.call_args[0][1] == '{"bar": null}'
 
     # out of http request/response cycle (cron, after_job)
-    two_pubs._set_request(None)
+    pub._set_request(None)
     item.fields = [{'field_id': 'bar', 'value': '01/01/2020'}]
     with mock.patch('wcs.wf.profile.http_patch_request') as http_patch_request:
         http_patch_request.return_value = (None, 200, '', None)
@@ -4445,7 +4425,7 @@ def test_profile(two_pubs):
         assert http_patch_request.call_args[0][1] == '{"bar": "2020-01-01"}'
 
 
-def test_set_backoffice_field(http_requests, two_pubs):
+def test_set_backoffice_field(http_requests, pub):
     Workflow.wipe()
     FormDef.wipe()
     wf = Workflow(name='xxx')
@@ -4469,7 +4449,7 @@ def test_set_backoffice_field(http_requests, two_pubs):
     formdata.data = {'00': 'HELLO'}
     formdata.just_created()
     formdata.store()
-    two_pubs.substitutions.feed(formdata)
+    pub.substitutions.feed(formdata)
 
     item = SetBackofficeFieldsWorkflowStatusItem()
     item.parent = st1
@@ -4546,13 +4526,13 @@ def test_set_backoffice_field(http_requests, two_pubs):
     formdata = formdef.data_class().get(formdata.id)
     assert formdata.data['bo1'] == ''
 
-    assert two_pubs.loggederror_class.count() == 0
+    assert pub.loggederror_class.count() == 0
 
     item.fields = [{'field_id': 'bo1', 'value': '= ~ invalid python ~'}]
     item.perform(formdata)
     formdata = formdef.data_class().get(formdata.id)
-    assert two_pubs.loggederror_class.count() == 1
-    logged_error = two_pubs.loggederror_class.select()[0]
+    assert pub.loggederror_class.count() == 1
+    logged_error = pub.loggederror_class.select()[0]
     assert logged_error.summary == 'Failed to compute Python expression'
     assert logged_error.formdata_id == str(formdata.id)
     assert logged_error.expression == ' ~ invalid python ~'
@@ -4560,12 +4540,12 @@ def test_set_backoffice_field(http_requests, two_pubs):
     assert logged_error.exception_class == 'SyntaxError'
     assert logged_error.exception_message == 'invalid syntax (<string>, line 1)'
 
-    two_pubs.loggederror_class.wipe()
+    pub.loggederror_class.wipe()
     item.fields = [{'field_id': 'bo1', 'value': '{% if bad django %}'}]
     item.perform(formdata)
     formdata = formdef.data_class().get(formdata.id)
-    assert two_pubs.loggederror_class.count() == 1
-    logged_error = two_pubs.loggederror_class.select()[0]
+    assert pub.loggederror_class.count() == 1
+    logged_error = pub.loggederror_class.select()[0]
     assert logged_error.summary == 'Failed to compute template'
     assert logged_error.formdata_id == str(formdata.id)
     assert logged_error.expression == '{% if bad django %}'
